Bug 199146 - Network error (configuring network interface) during FTP install
Network error (configuring network interface) during FTP install
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-17 11:37 EDT by eric magaoay
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-03 14:11:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description eric magaoay 2006-07-17 11:37:04 EDT
Description of problem:
The latest build is creating a "Network error" while configuring network
interface during FTP install.

Version-Release number of selected component (if applicable):
anaconda: 11.1.0.57-1.x86_64
 
How reproducible:
persistent

Steps to Reproduce:
1. Prepare an FTP install using kickstart config file (ks.cfg) 
   here a sample content of ks.cfg i.e.
        vnc --password install
        url --url ftp://192.168.3.107/mysrc/fed/x86_64/os
        lang en_US.UTF-8
        keyboard us
        network --device eth0 --bootproto dhcp --hostname mazatlan
        # PC has multiple NIC cards, forcing to use "eth0"

2. assumed the kickstart file is located at:
        ftp://192.168.3.107/mysrc/ks/ks.cfg
   From initial boot prompt type:
        linux  ksdevice=eth0 ks=ftp://192.168.3.107/mysrc/ks/ks.cfg
  
Actual results:
Dynamic IP: sending request for IP information for eth0
Network Error: There was an error configuring your network interface.

Expected results:
installation should proceed without network error

Additional info:
Comment 1 David Cantrell 2006-07-17 16:23:44 EDT
Are there any error messages displayed on VT3?
Comment 2 eric magaoay 2006-07-18 10:58:44 EDT
(In reply to comment #1)
> Are there any error messages displayed on VT3?

VT3 = virtual terminal?? 

It hasn't even started the vncserver yet, so no VT yet. Looking at the remote
syslog output, the install PC was properly given an IP from DHCP server and able
to connect. Otherwise it would have failed downloading the kickstart config file
locally.

NOTE: It did proceed after pressing [Retry] button during the "Network Error:
There was an error configuring your network interface" message. 

Here are the additional messages before install failed again:

Running anaconda, the Fedora Core system installer - please wait...
install exited abnormally [1/1]
sending termination signals...done
sending kill signals...done
sending kill signals...done
disabling swap...
umounting filesystems...
you may safely reboot your system.

Comment 3 David Cantrell 2006-07-18 11:02:39 EDT
anaconda-11.1.0.57 was built with a libdhcp release that had a problem regarding
network configuration.  It could put you in a retry loop.  That was fixed post
11.1.0.57.

The install exited abnormally error you're seeing now is when it goes to launch
the stage2 portion of the installer.  It has succeeded in getting stage2 via the
network, but fails to launch it.  The last few builds we've had were missing
libraries in the stage2 image.  We're fixing that now.

Thanks for the report.
Comment 4 David Cantrell 2006-08-03 14:11:14 EDT
This problem has been fixed in the latest rawhide tree.

Note You need to log in before you can comment on or make changes to this bug.